real gamma1=1.,gamma2=1.,deltaU0=1.,deltaP0=.1,deltaT0=1.,Pbar=0.,Tbar=1.,alphau=.4,alphap=.05,alphat=.1;

macro Uc(t)(deltaU0 + alphau*sin(t))//
macro Tc(t)(deltaT0 + alphat*sin(t))//
macro Pc(t)(deltaP0 + alphap*sin(t))//

macro cossin(t)(cos(x+gamma1*t)*sin(y+gamma2*t))//
macro coscos(t)(cos(x+gamma1*t)*cos(y+gamma2*t))//
macro sincos(t)(sin(x+gamma1*t)*cos(y+gamma2*t))//
macro sinsin(t)(sin(x+gamma1*t)*sin(y+gamma2*t))//

macro u1ex(t)(Uc(t)*cossin(t))//
macro u2ex(t)(-Uc(t)*sincos(t))//
macro Tex(t)(Tbar + Tc(t)*cossin(t))//
macro pex(t)(Pbar + Pc(t)*sincos(t))//

macro dxu1ex(t)(-Uc(t)*sinsin(t))//
macro dxu2ex(t)(-Uc(t)*coscos(t))//
macro dxTex(t)(-Tc(t)*sinsin(t))//
macro dxpex(t)(Pc(t)*coscos(t))//

macro dyu1ex(t)(Uc(t)*coscos(t))//
macro dyu2ex(t)(Uc(t)*sinsin(t))//
macro dyTex(t)(Tc(t)*coscos(t))//
macro dypex(t)(-Pc(t)*sinsin(t))//


macro fu1(t)(alphau*cos(t)*cossin(t)-Uc(t)*gamma1*sinsin(t)+Uc(t)*gamma2*coscos(t)-Uc(t)*u1ex(t)*sinsin(t)+Uc(t)*u2ex(t)*coscos(t)+Pc(t)*coscos(t)+2.*IRe*u1ex(t))//

macro fu2(t)(-alphau*cos(t)*sincos(t)-Uc(t)*gamma1*coscos(t)+Uc(t)*gamma2*sinsin(t)-Uc(t)*u1ex(t)*coscos(t)+Uc(t)*u2ex(t)*sinsin(t)-Pc(t)*sinsin(t)+2.*IRe*u2ex(t)-IRa*Tex(t))//

macro fT(t)(alphat*cos(t)*cossin(t)-Tc(t)*gamma1*sinsin(t)+Tc(t)*gamma2*coscos(t)-Tc(t)*u1ex(t)*sinsin(t)+Tc(t)*u2ex(t)*coscos(t)+2.*IPr*Tc(t)*cossin(t))//