// ================ Numerical parameter ====================
// Parameters for restart -----------------------------------
int Nplot=10, IFrestart=0, filenameRST=0;

bool output=true;// to plot the solution
bool Gnu=true;// for saving for gnuplot
bool Medit=false;// for saving for medit
bool Tecplot=false;// for saving for Tecplot

string dircase = "OUTPUT_"+fcase+bs;
createDIR(dircase)

// NEWTON parameters ----------------------------------------
int newtonMax = 50,iter;
real tolNewton = 1e-6;
real gamma = 1e-7;
real epsconv=1.e-10;
real err;

// Time discretization ---------------------------------------
real anm,an,anp,dd;// parameters for first or second order in time
int Torder=2;// time scheme order 1 or 2
int ord=6;// for the qforder in the integration

// save files details
echoDataNATCONV(dirrun+"echo_RST-"+IFrestart+".dat");

// error computation
real constP,errUL2,errVL2,errTL2,errpL2,errUH1,errVH1,errTH1;

// Post process parameter
{
   ofstream ff(dircaseGnuplot+fcase+".dat");
   ff.precision(20);
   IFMACRO(spaceconvergence)
      ff << "# nbseg hmin errUL2 errVL2 errTL2 errpL2 errUH1 errVH1 errTH1 errUinf errVinf errTinf"<<endl;
   ENDIFMACRO
   IFMACRO(timeconvergence)
      ff << "# t dt errUL2 errVL2 errTL2 errpL2 errUH1 errVH1 errTH1 errUinf errVinf errTinf"<<endl;
   ENDIFMACRO
}