// ================ Numerical parameter ====================
// compute of iteration number
int niter;
while (t<=tmax){
	t+=dt;niter++;
	if((dt < dtmax) && !(niter%dtadapt)) dt = dt*dtstep;
}
dt=dtorig;t=0.;
// Parameters for restart -----------------------------------
int Nrestart=max(ceil(niter/40.),1.), Nremesh=1, Nsave=max(int(niter/40.),1), Nplot=10, IFrestart=-81, filenameRST=-81, Ncontd=20;

// save results parameters --------------------
bool save=true;// to save the solution
bool output=true;// to plot the solution
bool Gnu=true;// for saving for gnuplot
bool Medit=true;// for saving for medit
bool Tecplot=true;// for saving for Tecplot
real cpuadapt,cpusolve,cputotal,cputotalold;

string dircase = "OUTPUT_"+fcase+bs;
createDIR(dircase)

// NEWTON parameters ----------------------------------------
int newtonMax = 50,iter=IFrestart,iteradapt;
real tolNewton = 1e-6;
real gamma = 1e-7,epsconv=1.e-6;
real err;

// Time discretization ---------------------------------------
real anm,an,anp,dd;// parameters for first or second order in time
int Torder=2;// time scheme order 1 or 2
int ord=6;// for the qforder in the integration

// Mesh parameters ------------------------------------------
bool adapt=true;// for adaptmesh
real errh,hmax,hmin,adaptratio;
errh=2e-2;hmax=.1;hmin=1e-3;adaptratio=1.5;
real asMesh=1, MeshTS=Tf+epsi, MeshRs=2.*epsi;

// save files details
echoDataNATCONV(dirrun+"echo_RST-"+IFrestart+".dat");
{
   ofstream fcontd(dircase+"zz.contd");
   fcontd << 0 << endl;
}
int STOP=1;// Stop the program by user

// Post process parameter
int itsave;// save iteration for plotting with medit and Tecplot
real Q0,Nuss,NussOld,Lf;
if(Gnu && save){
   ofstream physmat(dircaseGnuplot+fcase+"_phys_results.dat");
   physmat << "#time_Nuss_Q0_Lf" << endl;
   ofstream nummat(dircaseGnuplot+fcase+"_num_results.dat");
   nummat << "#time_iter_cputotal_cpuadapt_cpusolve_ratio_Th.nt_Wh.ndof" << endl;
   ofstream saveinfos(dircaseGnuplot+fcase+"_infos.dat");
   saveinfos << "#time_itsave_iter" << endl;
}