// ================ Numerical parameter ====================
// Parameters for restart -----------------------------------
int Nrestart=1, Nremesh=1, Nsave=1, Nplot=1, IFrestart=0, filenameRST=0, Ncontd=20;

// save results parameters --------------------
bool save=true;// to save the solution
bool output=true;// to plot the solution
bool Gnu=true;// for saving for gnuplot
bool Medit=true;// for saving for medit
bool Tecplot=true;// for saving for Tecplot
real cpuadapt,cpusolve,cputotal,cputotalold;

string dircase = "OUTPUT_"+fcase+bs;
createDIR(dircase)

// NEWTON parameters ----------------------------------------
int newtonMax = 50,iter=IFrestart;
real tolNewton = 1e-6;
real gamma = 1e-7;
real epsconv=1.e-7,resnoadapt=1.e-4,resadapttime=1.e-3;
real err;
real resU1=1.,resU2=1.,resT=1.; // Residus for error calculation

// Time discretization ---------------------------------------
real anm,an,anp,dd;// parameters for first or second order in time
int Torder=2;// time scheme order 1 or 2
int ord=6;// for the qforder in the integration

// Mesh parameters ------------------------------------------
bool adapt=true;// for adaptmesh
real errh,hmax,hmin,adaptratio;
errh=2e-2;hmax=.1;hmin=1e-3;adaptratio=1.5;

// save files details
echoDataNATCONV(dirrun+"echo_RST-"+IFrestart+".dat");
{
   ofstream fcontd(dircase+"zz.contd");
   fcontd << 0 << endl;
}
int STOP=1;// Stop the program by user

// Post process parameter
int itsave;// save iteration for plotting with medit and Tecplot
real Q0,Nuss,NussOld;
if(Gnu && save){
   ofstream physmat(dircaseGnuplot+fcase+"_phys_results.dat");
   physmat << "#time_Nuss_Q0" << endl;
   ofstream nummat(dircaseGnuplot+fcase+"_num_results.dat");
   nummat << "#time_iter_cputotal_resU1_resU2_resT_cpuadapt_cpusolve_ratio_Th.nt_Wh.ndof" << endl;
   ofstream saveinfos(dircaseGnuplot+fcase+"_infos.dat");
   saveinfos << "#time_itsave_iter" << endl;
}